package com.huertian.jinduguanli.dto;

import com.huertian.jinduguanli.entity.LessonTask;
import lombok.Data;

@Data
public class LessonTaskDTO {
    private Long id;
    private String courseName;
    private String microLessonName;
    private Long userId;
    private String username;  // 添加用户名字段
    private Integer progressStatus;
    private Long scriptCreateTime;
    private Long scriptReviewTime;
    private Long scriptConfirmTime;
    private Long videoCreateTime;
    private Long videoConfirmTime;
    private Long finishTime;
    private String advise;
    private Long createdAt;
    private Long updatedAt;

    // 从 LessonTask 实体转换为 DTO
    public static LessonTaskDTO fromEntity(LessonTask lessonTask, String username) {
        LessonTaskDTO dto = new LessonTaskDTO();
        dto.setId(lessonTask.getId());
        dto.setCourseName(lessonTask.getCourseName());
        dto.setMicroLessonName(lessonTask.getMicroLessonName());
        dto.setUserId(lessonTask.getUserId());
        dto.setUsername(username);
        dto.setProgressStatus(lessonTask.getProgressStatus());
        dto.setScriptCreateTime(lessonTask.getScriptCreateTime());
        dto.setScriptReviewTime(lessonTask.getScriptReviewTime());
        dto.setScriptConfirmTime(lessonTask.getScriptConfirmTime());
        dto.setVideoCreateTime(lessonTask.getVideoCreateTime());
        dto.setVideoConfirmTime(lessonTask.getVideoConfirmTime());
        dto.setFinishTime(lessonTask.getFinishTime());
        dto.setAdvise(lessonTask.getAdvise());
        dto.setCreatedAt(lessonTask.getCreatedAt());
        dto.setUpdatedAt(lessonTask.getUpdatedAt());
        return dto;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getMicroLessonName() {
        return microLessonName;
    }

    public void setMicroLessonName(String microLessonName) {
        this.microLessonName = microLessonName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getProgressStatus() {
        return progressStatus;
    }

    public void setProgressStatus(Integer progressStatus) {
        this.progressStatus = progressStatus;
    }

    public Long getScriptCreateTime() {
        return scriptCreateTime;
    }

    public void setScriptCreateTime(Long scriptCreateTime) {
        this.scriptCreateTime = scriptCreateTime;
    }

    public Long getScriptReviewTime() {
        return scriptReviewTime;
    }

    public void setScriptReviewTime(Long scriptReviewTime) {
        this.scriptReviewTime = scriptReviewTime;
    }

    public Long getScriptConfirmTime() {
        return scriptConfirmTime;
    }

    public void setScriptConfirmTime(Long scriptConfirmTime) {
        this.scriptConfirmTime = scriptConfirmTime;
    }

    public Long getVideoCreateTime() {
        return videoCreateTime;
    }

    public void setVideoCreateTime(Long videoCreateTime) {
        this.videoCreateTime = videoCreateTime;
    }

    public Long getVideoConfirmTime() {
        return videoConfirmTime;
    }

    public void setVideoConfirmTime(Long videoConfirmTime) {
        this.videoConfirmTime = videoConfirmTime;
    }

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }

    public String getAdvise() {
        return advise;
    }

    public void setAdvise(String advise) {
        this.advise = advise;
    }

    public Long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Long createdAt) {
        this.createdAt = createdAt;
    }

    public Long getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Long updatedAt) {
        this.updatedAt = updatedAt;
    }
}
