package com.huertian.jinduguanli.repository;

import com.huertian.jinduguanli.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Optional;

public interface UserRepository extends JpaRepository<User, Long> {
    Optional<User> findByEmail(String email);

    Optional<User> findByUsername(String username);

    boolean existsByEmail(String email);

    @Query(value = "SELECT * FROM users LIMIT :limit OFFSET :offset", nativeQuery = true)
    List<User> findAllWithPagination(@Param("offset") int offset, @Param("limit") int limit);

    @Query("SELECT u FROM User u WHERE u.departmentId = :departmentId AND u.status = 1 AND u.roles = 1")
    List<User> findByDepartmentIdAndNormalStatus(@Param("departmentId") Long departmentId);
}
